Nearglass

The public status, as JSON

Regions and their relays (state, CPU and memory shares, viewers), the overall state (`up`, `degraded`, `down`) and the recent relay incidents. No URLs, scopes or tenants.

GET
/v1/status

Regions and their relays (state, CPU and memory shares, viewers), the overall state (up, degraded, down) and the recent relay incidents. No URLs, scopes or tenants.

Response Body

the status

application/json
  1. response
state?string
Value in"up""degraded""down"
home?string
at?string
regions?array<>

nodes without url, publishers and admission

incidents?array<>
Example Request
curl -X GET 'https://api.nearglass.com/v1/status'
Example Response200
{  "state": "up",  "home": "string",  "at": "string",  "regions": [    {      "id": "string",      "name": "string",      "lat": 0,      "lon": 0,      "state": "up",      "edges_up": 0,      "edges": 0,      "nodes": [        {          "id": "string",          "role": "origin",          "status": "unknown",          "cpu": 0,          "mem": 0,          "sessions": 0,          "send_mbps": 0,          "last_seen_s": 0,          "since_s": 0,          "url": "string",          "publishers": {            "property1": 0,            "property2": 0          },          "admission": {            "mode": "on",            "saturated": true,            "busy": 0,            "delay_ms": 0,            "admitted": 0,            "refused": 0          }        }      ]    }  ],  "incidents": [    {      "type": "string",      "node": "string",      "region": "string",      "at": "string"    }  ]}